PHP-инклюдинг в Xoops Tiny Content

Дата публикации:
14.06.2007
Дата изменения:
14.06.2007
Всего просмотров:
1447
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Tiny Content 1.x (модуль к Xoops)
Уязвимые версии: Tiny Content (модуль к Xoops) 1.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "spaw_root" в сценарии admin/spaw/spaw_control.class.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]//modules/tinycontent/admin/spaw/spaw_control.class.php?spaw_root=[file]

URL производителя: www.xoops.org/modules/repository/singlefile.php?cid=94&lid=1299

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA